complexType "ccapp:PrintedStatParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/app
Content: | empty, 4 attributes
Defined: | globally in ccapp.xsd, see XML source
Includes: | definitions of 4 attributes
Used: | at 1 location

XML Representation Summary
<...
| detailed | = | xsd:boolean : "true"
| measure | = | xsd:string
| onlyAverages | = | xsd:boolean : "false"
| periods | = | xsd:boolean : "true"
/>

All Direct / Indirect Based Elements (1):

  printedStat (type ccapp:PrintedStatParams) |

Known Usage Locations

- As direct type of elements (1):

  printedStat (type ccapp:PrintedStatParams) |

Annotation
Represents the parameters for a group of printed statistics when a statistical report is queried. Each group refers to a type of performance measure, given by the `measure` attribute. The other attributes can be used to determine which statistics concerning the selected type of performance measure are to be included in the report.
XML Source (w/o annotations (5); see schema source)

<xsd:complexType name="PrintedStatParams"> <xsd:attribute name="measure" type="xsd:string" use="required"> </xsd:attribute> <xsd:attribute default="true" name="detailed" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="true" name="periods" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="onlyAverages" type="xsd:boolean"> </xsd:attribute> </xsd:complexType>

Attribute Detail
detailed

  Determines if a detailed statistical report is required for the selected type of performance measure. If this is set to `true,` a statistical report will contain the result for all time-aggregate performance measures of this type. In addition, if the `periods` attribute is set to `true,` the report will also include performance measures of the selected type specific to each time period in the model. However, setting the `detailed` attribute to `false` instructs the reporting system to include only the aggregate performance measure of the selected type.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:PrintedStatParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="detailed" type="xsd:boolean"> </xsd:attribute>

measure

  Determines the type of performance measure being included into the statistical report. This attribute refers to the name of any enum constant in the Java class `PerformanceMeasureType` in package `umontreal.iro.lecuyer.contactcenters.app.` For example, `SERVICELEVEL` is a valid name for a type of performance measure.

  Type: | xsd:string
  Use: | required
  Defined: | locally, within (this) ccapp:PrintedStatParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="measure" type="xsd:string" use="required"> </xsd:attribute>

onlyAverages

  Determines if the report for the referred type of performance measure should contain only averages. If this attribute is `true,` any report for this type of performance measure excludes the minimum, maximum, standard deviation, and confidence interval. If this option is `false,` the report includes all the information. Note that this attribute has no effect if the evaluation system only computes or estimates means.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:PrintedStatParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="onlyAverages" type="xsd:boolean"> </xsd:attribute>

periods

  Determines if the statistical report for the selected type of performance measure contains results for individual periods. This attribute has no effect if no period-specific data is available for the given type of performance measure, or if no detailed report is requested, i.e., the `detailed` attribute is `false.`

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:PrintedStatParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="periods" type="xsd:boolean"> </xsd:attribute>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com